#
# Conditional build:
%bcond_with	doc	# API documentation (TODO)
%bcond_with	tests	# unit tests (TODO)

Summary:	Golden master/snapshot/approval testing library which puts the values right into your source code
Summary(pl.UTF-8):	Biblioteka testowa umieszczająca właściwe wartości w kodzie źródłowym
Name:		python3-inline_snapshot
Version:	0.23.2
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/inline-snapshot/
Source0:	https://files.pythonhosted.org/packages/source/i/inline-snapshot/inline_snapshot-%{version}.tar.gz
# Source0-md5:	97955e2ac6c06638d0de2e27747b7d30
URL:		https://pypi.org/project/inline-snapshot/
BuildRequires:	python3-build
BuildRequires:	python3-hatchling
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.8
%if %{with tests}
BuildRequires:	python3-asttokens >= 2.0.5
BuildRequires:	python3-attrs >= 24.3.0
BuildRequires:	python3-black >= 23.3.0
BuildRequires:	python3-dirty_equals >= 0.9.0
BuildRequires:	python3-executing >= 2.2.0
BuildRequires:	python3-hypothesis >= 6.75.5
#BuildRequires:	python3-pydantic >= 1
BuildRequires:	python3-pytest >= 8.3.4
BuildRequires:	python3-pytest-freezer >= 0.4.8
BuildRequires:	python3-pytest-mock >= 3.14.0
BuildRequires:	python3-pytest-subtests >= 0.11.0
BuildRequires:	python3-pytest-xdist >= 3.6.1
BuildRequires:	python3-rich >= 13.7.1
%if "%{_ver_lt %{py3_ver} 3.11}"
BuildRequires:	python3-tomli >= 2.0.0
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
%if %{with doc}
# markdown-exec[ansi]
BuildRequires:	python3-markdown-exec >= 1.8.0
BuildRequires:	python3-mike
BuildRequires:	python3-mkdocs >= 1.4.2
# mkdocs-material[imaging]
BuildRequires:	python3-mkdocs-material >= 9.5.17
# mkdocstrings[python]
BuildRequires:	python3-mkdocstrings >= 0.19.0
%endif
Requires:	python3-modules >= 1:3.8
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Golden master/snapshot/approval testing library which puts the values
right into your source code.

%description -l pl.UTF-8
Biblioteka testowa umieszczająca właściwe wartości w kodzie źródłowym.

%package apidocs
Summary:	API documentation for Python inline_snapshot module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona inline_snapshot
Group:		Documentation

%description apidocs
API documentation for Python inline_snapshot module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona inline_snapshot.

%prep
%setup -q -n inline_snapshot-%{version}

%build
%py3_build_pyproject

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS= \
PYTHONPATH=$(pwd)/src \
%{__python3} -m pytest tests
%endif

%if %{with doc}
mkdocs build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md LICENSE README.md
%{py3_sitescriptdir}/inline_snapshot
%{py3_sitescriptdir}/inline_snapshot-%{version}.dist-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/...
%endif
%changelog
* Sat Jul 12 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-inline_snapshot.git;a=log;h=master

* Fri Jul 11 2025 Jakub Bogusz <qboosh@pld-linux.org> 5ca9d5e
- initial

